{
  "name": "magic-erp",
  "version": "0.0.1",
  "description": "magic-erp 的后台管理",
  "author": "Pan <panfree23@gmail.com>, magic-erp",
  "private": true,
  "scripts": {
    "dev": "concurrently \"node ./ui-watcher.js\" \"cross-env BABEL_ENV=development webpack-dev-server --inline --progress --config build/webpack.dev.conf.js\" --kill-others",
    "build:test": "yarn upgrade ui-components ui-domain ui-utils && cross-env NODE_ENV=test env_config=test node build/build.js",
    "build:prod": "yarn upgrade ui-components ui-domain ui-utils && cross-env NODE_ENV=production env_config=prod node build/build.js",
    "lint": "eslint --ext .js,.vue src",
    "test": "npm run lint"
  },
  "dependencies": {
    "apexcharts": "^3.48.0",
    "axios": "0.17.1",
    "babel-polyfill": "^6.26.0",
    "big-integer": "^1.6.48",
    "clipboard": "1.7.1",
    "codemirror": "5.32.0",
    "dropzone": "5.2.0",
    "echarts": "3.8.5",
    "element-china-area-data": "^6.1.0",
    "element-ui": "2.15.8",
    "file-saver": "1.3.3",
    "font-awesome": "4.7.0",
    "html2canvas": "^1.0.0-rc.7",
    "https": "^1.0.0",
    "jquery": "^3.2.1",
    "js-cookie": "2.2.0",
    "js-file-download": "^0.4.12",
    "js-md5": "0.7.3",
    "jsonlint": "1.6.2",
    "jszip": "3.1.5",
    "jwt-decode": "^2.2.0",
    "long": "^4.0.0",
    "mockjs": "1.0.1-beta3",
    "node-sass": "^9.0.0",
    "normalize.css": "7.0.0",
    "nprogress": "0.2.0",
    "particles.js": "2.0.0",
    "print-js": "^1.0.47",
    "qrcode.vue": "^1.6.0",
    "qrcodejs2": "^0.0.2",
    "qs": "^6.9.1",
    "screenfull": "^3.3.3",
    "showdown": "1.8.5",
    "sortablejs": "1.7.0",
    "ui-components": "file:../ui-components",
    "ui-domain": "file:../ui-domain",
    "ui-utils": "file:../ui-utils",
    "uuid": "^3.3.2",
    "v-viewer": "^1.4.2",
    "vue": "2.6.14",
    "vue-apexcharts": "^1.6.2",
    "vue-awesome-swiper": "3.1.3",
    "vue-barcode": "^1.3.0",
    "vue-bus": "1.2.1",
    "vue-clipboard2": "^0.3.3",
    "vue-count-to": "1.0.13",
    "vue-drag-resize": "^1.5.4",
    "vue-draggable-resizable": "^2.1.0",
    "vue-i18n": "7.3.2",
    "vue-lazyload": "^1.2.6",
    "vue-multiselect": "2.0.8",
    "vue-router": "3.5.3",
    "vue-splitpane": "1.0.2",
    "vuedraggable": "2.23.2",
    "vuex": "3.6.2",
    "xlsx": "^0.14.2"
  },
  "devDependencies": {
    "autoprefixer": "7.2.3",
    "babel-core": "6.26.0",
    "babel-eslint": "8.0.3",
    "babel-helper-vue-jsx-merge-props": "2.0.3",
    "babel-loader": "7.1.2",
    "babel-plugin-component": "0.10.1",
    "babel-plugin-dynamic-import-node": "1.2.0",
    "babel-plugin-istanbul": "4.1.5",
    "babel-plugin-syntax-dynamic-import": "6.18.0",
    "babel-plugin-syntax-jsx": "6.18.0",
    "babel-plugin-transform-decorators-legacy": "1.3.4",
    "babel-plugin-transform-runtime": "6.23.0",
    "babel-plugin-transform-vue-jsx": "3.5.0",
    "babel-preset-env": "1.6.1",
    "babel-preset-stage-2": "6.24.1",
    "chalk": "2.3.0",
    "chokidar": "^3.5.2",
    "compression-webpack-plugin": "^1.1.11",
    "concurrently": "^6.2.0",
    "copy-webpack-plugin": "4.3.0",
    "cross-env": "5.1.1",
    "css-loader": "0.28.7",
    "eslint": "4.13.1",
    "eslint-friendly-formatter": "3.0.0",
    "eslint-loader": "1.9.0",
    "eslint-plugin-html": "4.0.1",
    "extract-text-webpack-plugin": "3.0.2",
    "file-loader": "1.1.5",
    "friendly-errors-webpack-plugin": "1.6.1",
    "fs-extra": "^10.0.0",
    "html-webpack-plugin": "2.30.1",
    "node-notifier": "5.1.2",
    "optimize-css-assets-webpack-plugin": "3.2.0",
    "ora": "1.3.0",
    "portfinder": "1.0.13",
    "postcss-import": "11.0.0",
    "postcss-loader": "2.0.9",
    "psl": "^1.1.29",
    "pushstate-server": "3.0.1",
    "rimraf": "2.6.2",
    "sass-loader": "6.0.6",
    "script-loader": "0.7.2",
    "semver": "5.4.1",
    "shelljs": "0.7.8",
    "svg-sprite-loader": "3.5.2",
    "tailwindcss": "^3.4.3",
    "uglifyjs-webpack-plugin": "1.1.3",
    "url-loader": "0.6.2",
    "vue-loader": "^14.2.4",
    "vue-style-loader": "3.0.3",
    "vue-template-compiler": "2.6.14",
    "webpack": "3.10.0",
    "webpack-bundle-analyzer": "^2.13.1",
    "webpack-dev-server": "2.9.7",
    "webpack-merge": "4.1.1"
  },
  "engines": {
    "node": ">= 4.0.0",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
